-- Buffer line with tab page
-- https://github.com/akinsho/bufferline.nvim
return {
    "akinsho/bufferline.nvim",
    dependencies = {
        "nvim-tree/nvim-web-devicons"
    },
    config = function()
        require("bufferline").setup({
            options = {
                mode = "tabs",
                numbers = "ordinal",
                indicator = {
                    style = "icon"
                },
                color_icons = true,
                show_close_icon = false,
                show_buffer_close_icons = false,
                show_duplicate_prefix = false,
                hover = {
                    enabled = false
                },
            },
            highlights = {
                buffer_selected = {
                    fg = "fg",
                    bg = "bg",
                    italic = false,
                },
                numbers_selected = {
                    fg = "bg",
                    bg = "fg"
                },
                indicator_selected = {
                    fg = {
                        attribute = "fg",
                        highlight = "Identifier"
                    }
                },
            }
        })
    end
}
