-- Status line
-- https://github.com/nvim-lualine/lualine.nvim
return { 
    "nvim-lualine/lualine.nvim",
    dependencies = {
        -- File and language icons
       "nvim-tree/nvim-web-devicons"                                        
    },
    config = function() 
        local custom_ayu_dark = require("lualine.themes.ayu_dark")
        custom_ayu_dark.normal.c.bg = "#080b0d"

        require("lualine").setup({
            options = {
                theme = custom_ayu_dark,
                section_separators = { left = '', right = '' },
                component_separators = { left = '', right = '' },
                globalstatus = true
            },
            sections = {
                lualine_a = {
                    -- Only display the first mode letter (C>Command,N>Normal etc.)
                    {'mode', fmt = function(str) return str:sub(1,1) end }
                },
                lualine_b = {'branch', 'diff', 'diagnostics'},
                lualine_c = {
                    -- Show relative file path
                    {'filename', path = 1}
                },
                lualine_x = {'encoding', 'fileformat', 'filetype'},
                lualine_y = {},
                lualine_z = {'location'}
            }
        })
    end
}
